libflickcurl0_1.26-4_i386.deb


Advertisement

Description

libflickcurl0 - C library for accessing the Flickr API

Property Value
Distribution Debian Sid
Repository Debian Main i386
Package name libflickcurl0
Package version 1.26
Package release 4
Package architecture i386
Package type deb
Installed size 545 B
Download size 177.16 KB
Official Mirror ftp.br.debian.org
Description -

Alternatives

Package Version Architecture Repository
libflickcurl0_1.26-4_amd64.deb 1.26 amd64 Debian Main
libflickcurl0 - - -

Requires

Name Value
libc6 >= 2.4
libcurl3-gnutls >= 7.16.2
libraptor2-0 >= 2.0.14
libxml2 >= 2.7.4

Download

Type URL
Binary Package libflickcurl0_1.26-4_i386.deb
Source Package flickcurl

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libflickcurl0 deb package:
    # sudo apt-get install libflickcurl0

Files

Path
/usr/lib/i386-linux-gnu/libflickcurl.so.0
/usr/lib/i386-linux-gnu/libflickcurl.so.0.0.0
/usr/share/doc/libflickcurl0/NEWS.gz
/usr/share/doc/libflickcurl0/NEWS.html
/usr/share/doc/libflickcurl0/README.gz
/usr/share/doc/libflickcurl0/README.html
/usr/share/doc/libflickcurl0/changelog.Debian.gz
/usr/share/doc/libflickcurl0/changelog.gz
/usr/share/doc/libflickcurl0/copyright
/usr/share/doc/libflickcurl0/coverage.html

Changelog

2017-09-15 - Kumar Appaiah <akumar@debian.org>
flickcurl (1.26-4) unstable; urgency=medium
* Apply patch from upstream to fix oauth token fetching
* Apply patch from upstream to prevent double free corruption
during authentication (Closes: #875800)
* Update Standards Version to 4.0.0 (no changes)
2017-03-30 - Kumar Appaiah <akumar@debian.org>
flickcurl (1.26-3) unstable; urgency=medium
* Remove broken devhelp link in flickcurl-doc (Closes: #859019)
2017-02-03 - Kumar Appaiah <akumar@debian.org>
flickcurl (1.26-2) unstable; urgency=medium
* libflickcurl-dev: depend on libraptor2-dev, not obsolete
libraptor1-dev (Closes: #854033). Simon McVittie's patch.
2017-01-10 - Kumar Appaiah <akumar@debian.org>
flickcurl (1.26-1) unstable; urgency=medium
* New upstream release (Closes: #850725)
* Depend on libraptor2-dev (Closes: #850727)
* Standards version is now 3.9.8 (no changes needed)
* Remove HTTPS URL fix patches
2014-07-11 - Kumar Appaiah <akumar@debian.org>
flickcurl (1.25-3) unstable; urgency=medium
* Move to HTTPS URLs for authentication (Closes: #753074)
2014-01-18 - Kumar Appaiah <akumar@debian.org>
flickcurl (1.25-2) unstable; urgency=low
* Use Logan Rosen's patch to run autoreconf to support ppc4el (from
Ubuntu). (Closes: #735948)
2014-01-12 - Kumar Appaiah <akumar@debian.org>
flickcurl (1.25-1) unstable; urgency=low
* New upstream release
* Standards version is now 3.9.5 (no changes needed)
* Multiarch conversion
+ Switch to dh based rules file
+ Add ${misc:Pre-Depends} and Multi-Arch: same for libflickcurl0
+ Alter install files to accommodate the multiarch path
2013-05-20 - Kumar Appaiah <akumar@debian.org>
flickcurl (1.24-1) unstable; urgency=low
* New upstream release
2013-02-07 - Kumar Appaiah <akumar@debian.org>
flickcurl (1.23-1) experimental; urgency=low
* New upstream release
+ OAuth authentication included (Closes: #700050)
* debian/control:
+ Remove duplicate "libs" section for libflickcurl0
+ Standards Version 3.9.4 (no changes needed)
* debian/rules: Add hardening flags
* debian/patches/01-fix-tagread.diff
+  Backport patch to fix tag reading
2012-02-07 - Kumar Appaiah <akumar@debian.org>
flickcurl (1.22-1) unstable; urgency=low
* New upstream release (Closes: #635892, #637196)
* No need to use quilt (patch removed)

See Also

Package Description
libflickr-api-perl_1.28-1_all.deb Perl interface to the Flickr API
libflickr-upload-perl_1.60-1_all.deb module for uploading images to flickr.com
libflif-dev_0.3-5_i386.deb Free Lossless Image Format (FLIF) decoder library (development files)
libflif0_0.3-5_i386.deb Free Lossless Image Format (FLIF) decoder library
libflightcrew-dev_0.7.2+dfsg-12_all.deb C++ library development filesfor epub validation
libflightcrew0v5_0.7.2+dfsg-12_i386.deb C++ library for epub validation
libflint-2.5.2_2.5.2-18_i386.deb C library for number theory, shared library
libflint-arb-dev_2.12.0-3_i386.deb C library for arbitrary-precision ball arithmetic, development files
libflint-arb-doc_2.12.0-3_all.deb C library for arbitrary-precision ball arithmetic, documentation
libflint-arb2_2.12.0-3_i386.deb C library for arbitrary-precision ball arithmetic, shared library
libflint-dev_2.5.2-18_i386.deb C library for number theory, development files
libflint-doc_2.5.2-18_all.deb Documentation for the FLINT library
libflite1_2.1-release-2_i386.deb Small run-time speech synthesis engine - shared libraries
libfloat-coq_8.4-5_all.deb Coq library on floating-point arithmetic
libflorence-1.0-1_0.6.3-1+b2_i386.deb extensible and scalable virtual keyboard for X
Advertisement
Advertisement